Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class ObjectElem

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericCoreElem<E>
                  sharin.doc.builder.xhtml1.GenericCommonElem<ObjectElem>
                      sharin.doc.builder.xhtml1.ObjectElem

    public class ObjectElem

extends GenericCommonElem<ObjectElem>

Constructor Summary
`ObjectElem(Object... nodes)`

Method Summary
`ObjectElem` | `align(Object value)`
`ObjectElem` | `alignBottom()`
`ObjectElem` | `alignLeft()`
`ObjectElem` | `alignMiddle()`
`ObjectElem` | `alignRight()`
`ObjectElem` | `alignTop()`
`ObjectElem` | `archive(Object value)`
`ObjectElem` | `border(Object value)`
`ObjectElem` | `classid(Object value)`
`ObjectElem` | `codebase(Object value)`
`ObjectElem` | `codetype(Object value)`
`ObjectElem` | `data(Object value)`
`ObjectElem` | `declare(boolean declare)`
`ObjectElem` | `declare(Object value)`
`ObjectElem` | `height(Object value)`
`ObjectElem` | `hspace(Object value)`
`ObjectElem` | `name(Object value)`
`ObjectElem` | `standby(Object value)`
`ObjectElem` | `tabindex(Object value)`
`ObjectElem` | `type(Object value)`
`ObjectElem` | `usemap(Object value)`
`ObjectElem` | `vspace(Object value)`
`ObjectElem` | `width(Object value)`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCommonElem
`dir, lang, onclick, ondblclick, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, xmllang`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCoreElem
`clas, id, style, title`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectElem

    public ObjectElem(Object... nodes)

Method Detail

### align

    public ObjectElem align(Object value)

### alignBottom

    public ObjectElem alignBottom()

### alignLeft

    public ObjectElem alignLeft()

### alignMiddle

    public ObjectElem alignMiddle()

### alignRight

    public ObjectElem alignRight()

### alignTop

    public ObjectElem alignTop()

### archive

    public ObjectElem archive(Object value)

### border

    public ObjectElem border(Object value)

### classid

    public ObjectElem classid(Object value)

### codebase

    public ObjectElem codebase(Object value)

### codetype

    public ObjectElem codetype(Object value)

### data

    public ObjectElem data(Object value)

### declare

    public ObjectElem declare(boolean declare)

### declare

    public ObjectElem declare(Object value)

### height

    public ObjectElem height(Object value)

### hspace

    public ObjectElem hspace(Object value)

### name

    public ObjectElem name(Object value)

### standby

    public ObjectElem standby(Object value)

### tabindex

    public ObjectElem tabindex(Object value)

### type

    public ObjectElem type(Object value)

### usemap

    public ObjectElem usemap(Object value)

### vspace

    public ObjectElem vspace(Object value)

### width

    public ObjectElem width(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.